Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Class SocketSessionConfigImpl

    java.lang.Object
      org.apache.mina.common.support.BaseIoSessionConfig
          org.apache.mina.transport.socket.nio.SocketSessionConfigImpl

All Implemented Interfaces:
  Cloneable, IoSessionConfig, SocketSessionConfig

    public class SocketSessionConfigImpl

extends org.apache.mina.common.support.BaseIoSessionConfig
implements SocketSessionConfig

An `IoConnectorConfig` for `SocketConnector`.

Version:
  $Rev: 647053 $, $Date: 2008-04-11 14:40:04 +0900 (Fri, 11 Apr 2008) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`SocketSessionConfigImpl()` Creates a new instance.

Method Summary
`int` | `getReceiveBufferSize()`
`int` | `getSendBufferSize()`
`int` | `getSoLinger()` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
`int` | `getTrafficClass()`
`static boolean` | `isGetTrafficClassAvailable()`
`boolean` | `isKeepAlive()`
`boolean` | `isOobInline()`
`boolean` | `isReuseAddress()`
`static boolean` | `isSetReceiveBufferSizeAvailable()`
`static boolean` | `isSetSendBufferSizeAvailable()`
`static boolean` | `isSetTrafficClassAvailable()`
`boolean` | `isTcpNoDelay()`
`void` | `setKeepAlive(boolean keepAlive)`
`void` | `setOobInline(boolean oobInline)`
`void` | `setReceiveBufferSize(int receiveBufferSize)`
`void` | `setReuseAddress(boolean reuseAddress)`
`void` | `setSendBufferSize(int sendBufferSize)`
`void` | `setSoLinger(int soLinger)` Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.
`void` | `setTcpNoDelay(boolean tcpNoDelay)`
`void` | `setTrafficClass(int trafficClass)`

Methods inherited from class org.apache.mina.common.support.BaseIoSessionConfig
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mina.common.IoSessionConfig
`clone`

Constructor Detail

### SocketSessionConfigImpl

    public SocketSessionConfigImpl()

  Creates a new instance.

Method Detail

### isSetReceiveBufferSizeAvailable

    public static boolean isSetReceiveBufferSizeAvailable()

### isSetSendBufferSizeAvailable

    public static boolean isSetSendBufferSizeAvailable()

### isGetTrafficClassAvailable

    public static boolean isGetTrafficClassAvailable()

### isSetTrafficClassAvailable

    public static boolean isSetTrafficClassAvailable()

### isReuseAddress

    public boolean isReuseAddress()

  Specified by:
    `isReuseAddress` in interface `SocketSessionConfig`
  See Also:
    `Socket.getReuseAddress()`

### setReuseAddress

    public void setReuseAddress(boolean reuseAddress)

  Specified by:
    `setReuseAddress` in interface `SocketSessionConfig`
  See Also:
    `Socket.setReuseAddress(boolean)`

### getReceiveBufferSize

    public int getReceiveBufferSize()

  Specified by:
    `getReceiveBufferSize` in interface `SocketSessionConfig`
  See Also:
    `Socket.getReceiveBufferSize()`

### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

  Specified by:
    `setReceiveBufferSize` in interface `SocketSessionConfig`
  See Also:
    `Socket.setReceiveBufferSize(int)`

### getSendBufferSize

    public int getSendBufferSize()

  Specified by:
    `getSendBufferSize` in interface `SocketSessionConfig`
  See Also:
    `Socket.getSendBufferSize()`

### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

  Specified by:
    `setSendBufferSize` in interface `SocketSessionConfig`
  See Also:
    `Socket.setSendBufferSize(int)`

### getTrafficClass

    public int getTrafficClass()

  Specified by:
    `getTrafficClass` in interface `SocketSessionConfig`
  See Also:
    `Socket.getTrafficClass()`

### setTrafficClass

    public void setTrafficClass(int trafficClass)

  Specified by:
    `setTrafficClass` in interface `SocketSessionConfig`
  See Also:
    `Socket.setTrafficClass(int)`

### isKeepAlive

    public boolean isKeepAlive()

  Specified by:
    `isKeepAlive` in interface `SocketSessionConfig`
  See Also:
    `Socket.getKeepAlive()`

### setKeepAlive

    public void setKeepAlive(boolean keepAlive)

  Specified by:
    `setKeepAlive` in interface `SocketSessionConfig`
  See Also:
    `Socket.setKeepAlive(boolean)`

### isOobInline

    public boolean isOobInline()

  Specified by:
    `isOobInline` in interface `SocketSessionConfig`
  See Also:
    `Socket.getOOBInline()`

### setOobInline

    public void setOobInline(boolean oobInline)

  Specified by:
    `setOobInline` in interface `SocketSessionConfig`
  See Also:
    `Socket.setOOBInline(boolean)`

### getSoLinger

    public int getSoLinger()

  Description copied from interface: `SocketSessionConfig`
  Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.

  Specified by:
    `getSoLinger` in interface `SocketSessionConfig`
  See Also:
    `Socket.getSoLinger()`, Sun Bug Database

### setSoLinger

    public void setSoLinger(int soLinger)

  Description copied from interface: `SocketSessionConfig`
  Please note that enabling `SO_LINGER` in Java NIO can result in platform-dependent behavior and unexpected blocking of I/O thread.

  Specified by:
    `setSoLinger` in interface `SocketSessionConfig`
  Parameters:
    `soLinger` - Please specify a negative value to disable `SO_LINGER`.
  See Also:
    `Socket.setSoLinger(boolean, int)`, Sun Bug Database

### isTcpNoDelay

    public boolean isTcpNoDelay()

  Specified by:
    `isTcpNoDelay` in interface `SocketSessionConfig`
  See Also:
    `Socket.getTcpNoDelay()`

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

  Specified by:
    `setTcpNoDelay` in interface `SocketSessionConfig`
  See Also:
    `Socket.setTcpNoDelay(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.